Package org.apache.torque.generator.outlet.java

# Class ConstantNameOutlet

java.lang.Object
org.apache.torque.generator.outlet.OutletImpl
org.apache.torque.generator.outlet.java.OutletWithoutMergepoints
org.apache.torque.generator.outlet.java.StringInputOutlet
org.apache.torque.generator.outlet.java.ConstantNameOutlet

All Implemented Interfaces:
  `Outlet`

public class ConstantNameOutlet extends StringInputOutlet
Creates the name of a constant from a string. All letters in the String are capitalized, and underscores (_) are used as separators per default.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantNameOutlet(QualifiedName qualifiedName)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OutletResult`
  `execute(ControllerState controllerState)`
  Processes the input according to the camelback rules.

  ### Methods inherited from class org.apache.torque.generator.outlet.java.StringInputOutlet

  `getInput, setInputOption, setInputSourceElement, setInputValue, setInputVariable, setSourceElementAttribute`

  ### Methods inherited from class org.apache.torque.generator.outlet.java.OutletWithoutMergepoints

  `addMergepointMapping, getMergepointMapping`

  ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

  `afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantNameOutlet

    public ConstantNameOutlet(QualifiedName qualifiedName)
    Constructor.
    Parameters:
      `qualifiedName` - the unique name of the outlet, not null.

- ## Method Details

  - ### execute

    public OutletResult execute(ControllerState controllerState) throws GeneratorException
    Processes the input according to the camelback rules.
    Specified by:
      `execute` in interface `Outlet`
    Specified by:
      `execute` in class `OutletImpl`
    Parameters:
      `controllerState` - the current state of the controller, not null.
    Returns:
      the output of the Outlet.
    Throws:
      `GeneratorException` - in processing fails.